Update comments
curl --request PUT \
--url https://api.yume.cloud/v1/attachments/comments/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"content_type": "<string>",
"object_id": 4611686018427388000,
"context": null,
"links": [
{
"content_type": "<string>",
"object_id": 2
}
]
}
'import requests
url = "https://api.yume.cloud/v1/attachments/comments/{id}/"
payload = {
"body": "<string>",
"content_type": "<string>",
"object_id": 4611686018427388000,
"context": None,
"links": [
{
"content_type": "<string>",
"object_id": 2
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
body: JSON.stringify('<string>'),
content_type: '<string>',
object_id: 4611686018427388000,
context: null,
links: [{content_type: '<string>', object_id: 2}]
})
};
fetch('https://api.yume.cloud/v1/attachments/comments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"body": "<string>",
"user": 123,
"content_type": "<string>",
"object_id": 4611686018427388000,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"context": null,
"links": [
{
"content_type": "<string>",
"object_id": 2
}
]
}comments
Update comments
PUT
/
v1
/
attachments
/
comments
/
{id}
/
Update comments
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Ответ
200 - application/json
Требуемый диапазон:
0 <= x <= 9223372036854776000Show child attributes
Show child attributes